# Akamai\Open\EdgeGrid\Authentication\Nonce::__toString

#### Return the nonce when cast to string

## Signature

`public function __toString()`

## Returns

string
  Returns the nonce

## Test Coverage

### Information

- Coverage: 2/2 Lines (100%)
- Tests: 3
- Passed: 3 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\Authentication\NonceTest::testMakeNonce
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultTimestamp
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::testDefaultNonce